//////////////////////////////////////////////////////////////////////////////
// bitmaps.h
// -------------------
// Bitmaps for Phase style
// -------------------
// Copyright (c) 2004-2007 David Johnson <david@usermode.org>
// Please see the phasestyle.h file for copyright and license information.
//////////////////////////////////////////////////////////////////////////////

// title buttons (10x10)

static const char * const title_menu_xpm[] = {
"16 16 11 1",
"  c #000000",
", c #336600",
". c #99CC00",
"X c #666600",
"o c #999933",
"+ c #333300",
"@ c #669900",
"# c #999900",
"$ c #336633",
"% c #666633",
"& c #99CC33",
"................",
"................",
".....#,++X#.....",
"....X      X....",
"...X  Xo#%  X&..",
"..#  o..&@o  o..",
".., X..#+ @X X..",
"..+ o.o+ +o# +..",
"..+ #o+  +## +..",
".., %@ ++ +, X..",
"..#  o@oo+   #..",
"...X  X##$   o..",
"....X        X..",
"....&oX++X#oX...",
"................",
"................"};

static const unsigned char title_close_bits[] = {
   0x00, 0x00, 0x86, 0x01, 0xce, 0x01, 0xfc, 0x00, 0x78, 0x00, 0x78, 0x00,
   0xfc, 0x00, 0xce, 0x01, 0x86, 0x01, 0x00, 0x00};

static const unsigned char title_min_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xfe, 0x01, 0xfe, 0x01, 0x00, 0x00};

static const unsigned char title_max_bits[] = {
   0x00, 0x00, 0xfe, 0x01, 0xfe, 0x01, 0x02, 0x01, 0x02, 0x01, 0x02, 0x01,
   0x02, 0x01, 0x02, 0x01, 0xfe, 0x01, 0x00, 0x00};

static const unsigned char title_normal_bits[] = {
   0x00, 0x00, 0xf8, 0x01, 0x08, 0x01, 0x7e, 0x01, 0x7e, 0x01, 0x42, 0x01,
   0xc2, 0x01, 0x42, 0x00, 0x7e, 0x00, 0x00, 0x00};

static const unsigned char title_help_bits[] = {
   0xfc, 0x00, 0xfe, 0x01, 0x86, 0x01, 0x80, 0x01, 0xe0, 0x01, 0xf0, 0x00,
   0x30, 0x00, 0x00, 0x00, 0x30, 0x00, 0x30, 0x00};

// Arrows (6x6)

static const unsigned char uarrow_bits[] = {
    0x00, 0x0c, 0x1e, 0x3f, 0x3f, 0x00};

static const unsigned char darrow_bits[] = {
    0x00, 0x3f, 0x3f, 0x1e, 0x0c, 0x00};

static const unsigned char larrow_bits[] = {
    0x18, 0x1c, 0x1e, 0x1e, 0x1c, 0x18};

static const unsigned char rarrow_bits[] = {
    0x06, 0x0e, 0x1e, 0x1e, 0x0e, 0x06};

static const unsigned char plussign_bits[] = {
   0x0c, 0x0c, 0x3f, 0x3f, 0x0c, 0x0c};

static const unsigned char minussign_bits[] = {
   0x00, 0x00, 0x3f, 0x3f, 0x00, 0x00};

// checkmark (10x10)

static const unsigned char checkmark_bits[] = {
   0x00, 0x00, 0x80, 0x01, 0xc0, 0x01, 0xe0, 0x00, 0x73, 0x00, 0x3f, 0x00,
   0x1e, 0x00, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00};
